nginx (1.28.0-6ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Sep 2025 11:18:01 +0200

nginx (1.28.0-6) unstable; urgency=medium

  * d/debhelper/nginx_mod.pm: set worker_connections to 128 instead of default
    512 in the nginx test configuration in dh_auto_test.
    This allows one to run the test even on a system that has FD_SETSIZE 256
    and uses ngx_select_module like hurd.
    Fix building third-party modules on GNU Hurd.

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 08 Sep 2025 20:06:40 +0200

nginx (1.28.0-5) unstable; urgency=medium

  [ Miao Wang ]
  * d/p/override-uname.patch,d/rules: fix override-* options detection,
    fix build on GNU Hurd.

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 06 Sep 2025 10:08:21 +0200

nginx (1.28.0-4ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Sep 2025 08:34:33 +0200

nginx (1.28.0-4) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/p/0003-define_gnu_source-on-other-glibc-based-platforms.patch remove,
    This patch primarily addressed issues on GNU/kFreeBSD. And GNU/kFreeBSD has
    been removed from Debian.
  * d/control: let nginx-core depend on geoip2 instead of geoip.
    Harmonizing with Ubuntu downstream (Closes: 921034).
  * d/control: remove iproute2 dependency, and do not check open port 80
    in d/nginx.postinst. This test is no longer necessary, as the systemd
    log message is sufficient (Closes: 1023382).
  * d/control: remove lua module from nginx-extras and remove from d/t/control
    as well. Lua module had a problematic dependency, it didn't work on all
    platforms due to its dependency on luajit. Therefore it is better to
    remove it from the nginx-extras dependency. Lua module will still be
    installable as a separate module.
  * d/copyright: update Nginx Inc. copyright year

  [ Miao Wang ]
  * d/patches/override-uname.patch: added, override uname command with
    configuration options, so that the products built is unrelated with
    the build system. This is especially useful for building nginx for i386
    but the build sysroot is running on the amd64 kernel (armhf and arm64
    likewise), where uname is giving the wrong information.

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 05 Sep 2025 18:24:59 +0200

nginx (1.28.0-3ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Aug 2025 15:04:27 +0200

nginx (1.28.0-3) unstable; urgency=medium

  * Upload to unstable
  * d/p/CVE-2025-53859.patch add, fixes CVE-2025-53859 (Closes: 1111138)
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 26 Aug 2025 07:16:58 +0200

nginx (1.28.0-2) experimental; urgency=medium

  * d/p/CVE-2025-53859.patch add, fixes CVE-2025-53859 (Closes: 1111138)

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 16 Aug 2025 16:11:55 +0200

nginx (1.28.0-1) experimental; urgency=medium

  * New upstream version 1.28.0
  * d/upstream/signing-key.asc: remove older keys
  * d/nginx-doc.docs: README -> README.md
  * d/patches/nginx-ssl_cert_cb_yield.patch: quilt refresh
  * d/libnginx-mod.abisubstvars: update ABI to nginx-abi-1.28.0-1
  * d/changelog: fix whitespace in 1.26.3-3 record
  * d/control: bump Standards-Version: 4.7.2, no changes

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 12 Aug 2025 09:17:16 +0200

nginx (1.26.3-3ubuntu3) questing; urgency=medium

  * SECURITY UPDATE: data leak in ngx_mail_smtp_module
    - debian/patches/CVE-2025-53859.patch: properly check lengths in
      src/mail/ngx_mail_handler.c.
    - CVE-2025-53859

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Aug 2025 08:24:37 -0400

nginx (1.26.3-3ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:16:59 +0200

nginx (1.26.3-3ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 May 2025 07:52:57 +0200

nginx (1.26.3-3) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/changelog: fix whitespace in 1.26.3-2 record
  * d/control: add libnginx-mod-http-lua dependency for nginx-extras package
    for riscv64 platform

  [ Thomas Ward ]
  * d/nginx-common.nginx.service: Add ConditionFileIsExecutable to
    SystemD service file, prevents starting of service if nginx is
    not installed (which can happen if nginx-common is installed
    independently from `nginx` itself (Closes: #1098477)

 -- Jan Mojžíš <janmojzis@debian.org>  Thu, 15 May 2025 15:31:38 +0200

nginx (1.26.3-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Feb 2025 08:36:12 +0100

nginx (1.26.3-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Jérémy Lal <kapouer@melix.org>  Fri, 07 Feb 2025 12:53:11 +0100

nginx (1.26.3-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.26.3

 -- Jérémy Lal <kapouer@melix.org>  Wed, 05 Feb 2025 19:08:02 +0100

nginx (1.26.2-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.26.2
  * Add Sergey Kandaurov <s.kandaurov@f5.com> pgp public key
  * Drop upstream patches

  [ Jan Mojžíš ]
  * d/gbp.conf: add upstream-signatures = on
  * d/{control,copyright}: update my email to "janmojzis@debian.org"
  * d/copyright: bump my copyright year

 -- Jérémy Lal <kapouer@melix.org>  Sun, 02 Feb 2025 21:08:45 +0100

nginx (1.26.0-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Oct 2024 09:30:48 +0100

nginx (1.26.0-3) unstable; urgency=medium

  * d/control: Resolve dependency loop between nginx and nginx-common.
    (Fixes: #1082373)

 -- Thomas Ward <teward@ubuntu.com>  Fri, 20 Sep 2024 21:35:42 -0400

nginx (1.26.0-2ubuntu3) oracular; urgency=medium

  * Rebuild against new debhelper 13.18ubuntu2 with fixed
    dh_installlogrotate.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Sep 2024 21:12:02 +0200

nginx (1.26.0-2ubuntu2) oracular; urgency=medium

  * Drop ubuntu-branding patch, use instead --build=Ubuntu build flag.
  * Use server_tokens build, to make the branding effective

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Sep 2024 12:00:16 +0200

nginx (1.26.0-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2024 20:14:02 +0200

nginx (1.26.0-2) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/rules: enable QUIC and HTTP/3 module (Closes: 1070488)
  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/p/nginx-1.26.1.patch add, backport changes from the nginx 1.26.1 and fix
    CVE-2024-32760, CVE-2024-31079, CVE-2024-35200, CVE-2024-34161
  * d/p/CVE-2024-7347.patch add, backport CVE-2024-7347 fix (Closes: 1078971)
  * d/libnginx-mod.abisubstvars updated comment when ABI needs to be changed

  [ Thomas Ward ]
  * d/conf/nginx.conf: Update default options for current security
    practices and standards. SSL protos, disable prefer server
    ciphers, hide server tokens/versions in responses.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 19 Aug 2024 18:46:30 +0200

nginx (1.26.0-1ubuntu2) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 23:44:55 +0200

nginx (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
  * nginx ABI release: nginx-abi-1.26.0-1 (Closes: 1069997)
  * d/libnginx-mod.abisubstvars: remove third-party modules version constraints
  * d/u/signing-key.asc add Roman Arutyunyan’s PGP public key,
    the key is used to sign the 1.26.0 release
  * d/p/CVE-2023-44487.patch remove, fixed in upstream
  * d/ufw/nginx update, add QUICK, thanks Marcus Bointon
  * d/conf/mime.types add application/xslt+xml, thanks K. Widholm
  * d/copyright: updated copyright related to new upstream version
  * d/copyright: bump my copyright year
  * d/conf/nginx.conf: add worker_cpu_affinity auto (Closes: 1063659)
  * d/gbp.conf: add sign-tags = True, [pull] track-missing = True,
    [import-orig] merge-mode = replace

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 05 May 2024 18:48:05 +0200

nginx (1.24.0-2ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:40:23 +0000

nginx (1.24.0-2ubuntu6) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:09:09 +0000

nginx (1.24.0-2ubuntu5) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:03:42 +0100

nginx (1.24.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:12:02 +0100

nginx (1.24.0-2ubuntu3) noble; urgency=medium

  * d/control: Fix versioned dependency for libnginx-mod-*-geoip2, as
    these are now distinct source packages with their own version numbers,
    not linked to the nginx source package itself.
    (LP: #2040404)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 05 Dec 2023 00:54:00 -0800

nginx (1.24.0-2ubuntu2) noble; urgency=medium

  * No change rebuild

 -- Bryce Harrington <bryce@canonical.com>  Mon, 20 Nov 2023 00:47:34 +0000

nginx (1.24.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:41:23 +0200

nginx (1.24.0-2) unstable; urgency=medium

  * d/control added dependency nginx-common to nginx (Closes: 1039905)
    After nginx installation, the nginx-common package is installed
    automatically due to its dependencies. The nginx-common package includes
    the systemd unit, which becomes enabled and activated upon installation.
    When the nginx is removed, nginx-common package and the systemd unit will
    remain in the system. Adding a dependency nginx-common to nginx solves
    this problem.
  * d/control fixed binNMU safe dependency declaration nginx to nginx-common,
    nginx is 'any', nginx-common is 'all' -> dependency '= ${source:Version}'
  * d/rules removed override_dh_strip, migration to automatic debug symbols is
    already done, fixes debug-symbol-migration-possibly-complete lint. warning
  * d/po/ro.po added Romanian debconf translation. (Closes: 1033084),
    Thanks to Remus-Gabriel Chelu
  * d/po/sv.po added Swedish debconf translation. (Closes: 1050443),
    Thanks to Peter Kvillegård
  * d/conf/mime.types added video/ogg, video/x-matroska (Closes: 1028144)
  * d/p/CVE-2023-44487.patch adds additional mitigations for CVE-2023-44487
    that according to NGINX developers on nginx-devel are already suitably
    mitigated with the default config options for keepalive. (Closes: 1053770)
  * d/control added nginx-dev dependency on ${nginx:abi}
  * d/debhelper/nginx_mod.pm automatic libnginx-mod-stream dependencies

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 11 Oct 2023 01:17:51 +0200

nginx (1.24.0-1ubuntu1) mantic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Jun 2023 08:48:23 +0200

nginx (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * nginx ABI release: nginx-abi-1.24.0-1
  * d/libnginx-mod.abisubstvars update version constraints of the 3rd party
    modules
  * d/p/bug-{1024605,973861}.patch removed, fixed in upstream
  * d/copyright: updated copyright for files src/event/ngx_event_udp.h,
    src/os/win32/ngx_dlopen

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 27 Jun 2023 23:19:31 +0200

nginx (1.22.1-9ubuntu5) mantic; urgency=medium

  * Merge with Debian unstable (LP: #1993421). Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 May 2023 11:45:20 +0200

nginx (1.22.1-9) unstable; urgency=medium

  * d/control: nginx-common Breaks+Replaces: nginx (<< 1.22.1-8)
    (Closes: 1032929)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 14 Mar 2023 16:19:32 +0100

nginx (1.22.1-8) unstable; urgency=medium

  * Main change:
    Configuration files returned to nginx-common package. This fixes
    the serious problem of losing configuration files during upgrade.
    This is a rollback of a change made in 1.22.1-6 (Closes: 1032517)
  * d/control: fix nginx-full dependencies
  * d/libnginx-mod.abisubstvars: update libnginx-mod-http-lua version

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 14 Mar 2023 06:53:32 +0100

nginx (1.22.1-7ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #1993421). Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
  * Dropped:
    - d/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
      [Accepted by Debian 1.22.0-2.  Deb #963668]
    - d/nginx-common.install: Add install rule for apport hooks.
      [Accepted by Debian in 1.22.0-2.  Deb #963668]
    - d/p/nginx-fix-pidfile.patch: Fix NGINX PIDfile handling to avoid
      SystemD race condition - thanks to Tj for the patch.  (LP #1581864)
      [Accepted by Debian 1.22.0-2.  Deb #876365]
    - d/control: make nginx and nginx-full arch any, so that nginx-full
      is no longer pulled into main because of i386 (LP #1893267)
      [No longer required due to Debian packaging split]
    - Remove the Lua modules from NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
      Changes made for this removal:
       + d/control:
         + Remove lua module from dependencies, and binary build item.
         + Add "Breaks" line for nginx-lua for older versions of NGINX.
           This is added to the nginx metapackage and nginx-extras.
       + d/rules: Remove Lua module from the build flags for -extras.
       + d/http-lua, d/modules/{,patches/,watch/}nginx-lua: Remove Lua
         modules, watch file, module patches.
       + d/modules/control: Remove Lua module from definitions
       + d/copyright: Remove lua module.
       + d/tests/{control,lua/}: Remove Lua test entirely, remove
         dependencies on any test which request
         libnginx-mod-http-lua as it's gone.
      [No longer required due to Debian packaging split]
    - d/control: drop GeoIP from nginx-core due to demotion of libgeoip
      (LP #1861101, LP #1867150):
      + remove libnginx-mod-http-geoip from nginx-core dependency
      + have nginx-core depend on libnginx-mod-stream-geoip2
        instead of libnginx-mod-stream-geoip
      + adjust package descriptions accordingly
      [No longer required due to Debian packaging split]
    - d/control: (GeoIP2 related changes)
      + Update dependencies for http-geoip2 package to include libmaxminddb0.
      + Update nginx-core to include http-geoip2 module due to approved bin-MIR
        (LP #1867198)
      + Move geoip2 module build flags to the common flags so all
        package flavors have it.
      + Update dependencies for nginx-light, etc. to include
        libnginx-mod-http-geoip2 as it's in the 'common build flags'
        for all flavors of the builds.
      + Update package description for nginx-core to indicate geoip2
        is included, and to list third party HTTP modules.  GeoIP2
        is not included for Stream by default, so we have to adjust
        this because the Stream part isn't MIR'd.
      [No longer required due to Debian packaging split]
    - d/m/p/http-subs-filter/pcre2.patch: Patch from debian 0d813834 to
      fix FTBFS
      [Debian switched to libpcre2 in 1.22.1-7]
    - d/p/CVE-2022-41741_41742.patch: disabled duplicate atoms in Mp4
      (CVE-2022-41741, CVE-2022-41742)
      [Included in upstream 1.22.1 release]

 -- Bryce Harrington <bryce@canonical.com>  Thu, 23 Feb 2023 01:22:32 -0800

nginx (1.22.1-7) unstable; urgency=medium

  * nginx ABI release: nginx-abi-1.22.1-7
  * nginx ABI: Nginx now provides nginx-abi-<VERSION> to better manage
    dependencies between nginx and 3rd party modules. Credit to Jérémy Lal.
  * switched to libpcre2 (Closes: 1000013)
  * d/p/bug-973861: added, lingering close for connections with pipelined
    requests. The patch is backported from the upstream. (Closes: 973861)
  * d/gbb.conf: switched to debian branch main (debian-branch = main)
  * d/copyright: updated to be compatible with 'cme update dpkg-copyright'

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 13 Feb 2023 13:04:16 +0100

nginx (1.22.1-6) unstable; urgency=medium

  * Main change:
    Nginx binary moved to package nginx, also moved basic
    configuration files from nginx-common to package nginx.
    The packages nginx-{light,core,extras,common} are replaced
    by a metapackage. (Closes: 1025763)
    Users should simply install 'nginx' and 'libnginx-mod-...'
    instead of these packages.
  * Additional changes:
    * d/nginx-{light,core,extras,full,common}.NEWS: added warning that
      nginx-{light,core,extras,full,common} are deprecated
    * d/control: fixed dependencies for safe binNMU
    * d/copyright: updated debian/* copyright
    * d/copyright: added missing copyright for d/apport/*
    * d/copyright: added missing GPL-2+ copyright for d/debhelper/dh_nginx
    * d/copyright: added missing copyright for d/help/examples/nginx_modsite
    * d/po/it.po: added Italian debconf translation. (Closes: 1019160)
    * d/control: removed dependency on obsolete package lsb-base
    * d/control: bump Standards-Version: 4.6.2, no changes

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 08 Feb 2023 17:20:27 +0100

nginx (1.22.1-5) unstable; urgency=medium

  [ Jan Mojžíš ]
  * Since version 1.22.1-5 all third party modules are removed from Debian NGINX
    package and all these modules are maintained in separate external packages.
    Removed namely these remaining modules:
      - libnginx-mod-http-geoip2
      - libnginx-mod-stream-geoip2
      - libnginx-mod-http-auth-pam
      - libnginx-mod-http-echo
      - libnginx-mod-http-upstream-fair
      - libnginx-mod-http-headers-more-filter
      - libnginx-mod-http-cache-purge
      - libnginx-mod-http-fancyindex
      - libnginx-mod-http-uploadprogress
      - libnginx-mod-http-subs-filter
      - libnginx-mod-http-dav-ext
  * d/tests: all *-simple and *-deps tests updated to check if nginx works
    after installation/reload/restart for all flavours
  * d/control: updated nginx-common dependency, fixes lintian warning
    maybe-not-arch-all-binnmuable

  [ Jérémy Lal ]
  * d/rules: default error-log-path is stderr (--error-log-path=stderr)
    instead of hardcoded /var/log/nginx/error.log (Closes: 1025858)
  * dh nginx: auto-detect build-dependency on ndk-dev
  * dh nginx: absolute /usr/sbin/nginx path for nginx tests
  * d/p/nginx-ssl_cert_cb_yield.patch SSL_CTX_set_cert_cb() callback yielding
    patch update
  * d/conf/nginx.conf: Set global error_log to /var/log/error.log
    Now that error_log default value is stderr, it is possible
    to override that config using nginx -g 'error_log stderr;'

  [ Miao Wang ]
  * d/control: removed unnecessary dependencies after removing 3rd party modules
  * d/rules: enabled stream_realip_module (--with-stream_realip_module)
  * d/rules: explicitly disabled pcre2 (--without-pcre2)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 20 Dec 2022 10:36:19 +0100

nginx (1.22.1-4) unstable; urgency=medium

  * d/t/*-module-deps: updated, added curl timeout 300 seconds and
    added nginx restart before calling curl
  * d/t/*-module-deps: update:
    - added tests for new ext. module libnginx-mod-http-set-misc
    - added tests for new ext. module libnginx-mod-http-brotli-filter
    - added tests for new ext. module libnginx-mod-http-brotli-static
    - added tests for new ext. module libnginx-mod-http-memc
    - added tests for new ext. module libnginx-mod-http-srcache-filter
  * removed 3th party modules and moved to separate packages:
    - libnginx-mod-nchan module
    - libnginx-mod-rtmp module
    - libnginx-mod-http-ndk module

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 08 Dec 2022 14:15:15 +0100

nginx (1.22.1-3) unstable; urgency=medium

  * d/control: added Multi-Arch: foreign for package nginx-dev
  * d/rules: enabled NDK upstream list module NDK_UPSTREAM_LIST
  * d/p/bug-1024605.patch: added header Forwarded: not-needed

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 05 Dec 2022 18:25:16 +0100

nginx (1.22.1-2) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/control: fixed spelling-error-in-description
  * d/nginx-*.postinst: fixed postinst script, used invoke-rc.d instead of
    pidof and ad-hoc tests, tnx Gioele Barabucci
  * d/tests/ssi-module-test added, simple ngx_http_ssi_filter_module test
  * d/p/bug-1024605.patch added: fixes problem when a subrequest has SSI
    enabled but its main request does not, the SSI module may crash the worker
    due to NULL-pointer dereference. The patch is backported from the upstream
    (Closes: 1024605)
  * d/control: updated implicit dependencies of third-party modules
    for easier transition to third-party modules in separate packages.

  [ Jérémy Lal ]
  * d/debhelper: set nginx_mod buildsystem by default
  * d/control: nginx-dev provides dh-sequence-nginx (Closes: #1024879)
  * d/control: remove Uploaders that are part of nginx-team,
    keep only the most recent active one, per policy 5.6.3.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + nginx-dev: Drop versioned constraint on dpkg-dev in Depends.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 30 Nov 2022 17:39:42 +0100

nginx (1.22.1-1) unstable; urgency=medium

  [ Jan Mojžíš ]
  * New upstream version 1.22.1
  * d/control: added implicit version of dependency libnginx-mod-http-lua
    (>=1:0.10.22-3~), it is a rebuilt version with nginx 1.22.1.
  * Added libnginx-mod-http-lua powerpc architecture

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.5.11-1.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Thu, 10 Nov 2022 18:21:43 +0100

nginx (1.22.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:28:07 +0200

nginx (1.22.0-3) unstable; urgency=medium

  * d/changelog: fixed typo in bug number 61261 -> 861261 (Closes: 861261)
  * d/p/nginx-ssl_cert_cb_yield.patch added (Closes: 884434)
  * http-lua: removed the http-lua module and moved it to a separate package

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 17 Aug 2022 18:38:15 +0200

nginx (1.22.0-2) unstable; urgency=medium

  [ Miao Wang ]
  * adding a new libnginx-mod-http-ndk-dev package including necessary
    headers to build a 3rd party module depending on ndk.

  [ Jan Mojžíš ]
  * d/nginx-common.nginx.service: added Systemd dependency
    Wants=network-online.target and updated Systemd "After" dependency to
    recommended NGINX values, namely:
    - network-online.target (Closes: 861261) (Closes: 1000406)
    - remote-fs.target (Closes: 898896)
    - nss-lookup.target
  * d/p/0003-define_gnu_source-on-other-glibc-based-platforms.patch: forwarded
    to upstream (Closes: 859082)
  * d/t/reboot: added, tests if nginx works after reboot
  * d/m/p/http-subs-filter/pcre2.patch: added PCRE2 support
  * d/p/nginx-fix-pidfile.patch: Fix NGINX PIDfile handling to avoid
    SystemD race condition, this fix is backported from Ubuntu (Closes: 876365)
  * d/apport/source_nginx.py: Add apport hooks for additional bug
    information gathering, the script is backported from Ubuntu (Closes: 963668)
  * d/nginx-common.install: Add install rule for apport hooks.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + nginx-common: Drop versioned constraint on lsb-base in Depends.
    + nginx-core: Drop versioned constraint on nginx in Breaks.
    + nginx-full: Drop versioned constraint on nginx in Breaks.
    + nginx-light: Drop versioned constraint on nginx in Breaks.
    + nginx-extras: Drop versioned constraint on nginx in Breaks.
    + libnginx-mod-http-perl: Drop versioned constraint on nginx-extras in
      Replaces.
    + Remove 5 maintscript entries from 1 files.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 07 Aug 2022 16:14:59 +0200

nginx (1.22.0-1ubuntu2) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:49:47 +0100

nginx (1.22.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1982626). Remaining changes:
    - d/p/ubuntu-branding.patch: add Ubuntu branding
    - d/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - d/nginx-common.install: Add install rule for apport hooks.
    - d/p/nginx-fix-pidfile.patch: Fix NGINX PIDfile handling to avoid
      SystemD race condition - thanks to Tj for the patch.  (LP #1581864)
    - d/control: make nginx and nginx-full arch any, so that nginx-full
      is no longer pulled into main because of i386 (LP #1893267)
    - Remove the Lua modules from NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
      Changes made for this removal:
       + d/control:
         + Remove lua module from dependencies, and binary build item.
         + Add "Breaks" line for nginx-lua for older versions of NGINX.
           This is added to the nginx metapackage and nginx-extras.
       + d/rules: Remove Lua module from the build flags for -extras.
       + d/http-lua, d/modules/{,patches/,watch/}nginx-lua: Remove Lua
         modules, watch file, module patches.
       + d/modules/control: Remove Lua module from definitions
       + d/copyright: Remove lua module.
       + d/tests/{control,lua/}: Remove Lua test entirely, remove
         dependencies on any test which request
         libnginx-mod-http-lua as it's gone.
    - d/control: drop GeoIP from nginx-core due to demotion of libgeoip
      (LP #1861101, LP #1867150):
      + remove libnginx-mod-http-geoip from nginx-core dependency
      + have nginx-core depend on libnginx-mod-stream-geoip2
        instead of libnginx-mod-stream-geoip
      + adjust package descriptions accordingly
    - d/control: (GeoIP2 related changes)
      + Update dependencies for http-geoip2 package to include libmaxminddb0.
      + Update nginx-core to include http-geoip2 module due to approved bin-MIR
        (LP #1867198)
      + Move geoip2 module build flags to the common flags so all
        package flavors have it.
      + Update dependencies for nginx-light, etc. to include
        libnginx-mod-http-geoip2 as it's in the 'common build flags'
        for all flavors of the builds.
      + Update package description for nginx-core to indicate geoip2
        is included, and to list third party HTTP modules.  GeoIP2
        is not included for Stream by default, so we have to adjust
        this because the Stream part isn't MIR'd.
  * d/p/ubuntu-branding.patch: Reimplement patch to avoid conflicting on
    (volatile) release version numbers when merging.
  * d/m/p/http-subs-filter/pcre2.patch: Patch from debian 0d813834 to
    fix FTBFS
  * d/t/branding: Add autopkgtest to validate branding presence

 -- Bryce Harrington <bryce@canonical.com>  Fri, 22 Jul 2022 17:56:50 -0700

nginx (1.22.0-1) unstable; urgency=medium

  [ Thomas Ward ]
  * New upstream release (1.22.0)
  * Additional changes:
    * d/conf/mime.types: Fix a typo in font/woff2 extension in
      mime.types.  (Closes: #1010798)
    * d/upstream/signing-key.asc: Additional signing keys observed
      in upstream (Konstantin Pavlov <k.pavlov@f5.com>) during
      upstream merge/import by Thomas Ward, additional signing key
      was added to the keyring while keeping Maxim's key in signing
      keys as well.
    * d/copyright: Updated copyright for src/core/ngx_murmurhash.c
      and debian/modules/http-ndk/src/hash/murmurhash2.c to be
      public-domain (Closes: #1011936)
  * d/control: Use libluajit-5.1-dev for s390x.
    Due to src:luajit2 landing in Unstable, superseding src:luajit,
    and due to luajit2 having s390x support, we can use s390x now
    with luajit instead of standard Lua.
    Thanks to Paul Gevers for the heads up on luajit2 supporting s390x.
  * d/control: Use liblua for ppc64el - src:luajit2 is still not ppc64el
    stable and there seems to be nobody willing to support it. (Closes: 1013807)

  [ Jan Mojžíš ]
  * d/patches/CVE-2021-3618.patch removed, fix is included in new upstream
  release
  * d/copyright: bump nginx copyright years
  * d/copyright: added copyright for src/stream/ngx_stream_set_module.c
  * d/copyright: removed copyright for src/http/v2/ngx_http_v2_huff_encode.c
  * d/control: bump Standards-Version to 4.6.1, no changes

  [ Bastian Germann ]
  * d/copyright: Update copyright for d/debhelper/*

  [ Miao Wang ]
  * dh_nginx: support auto generating module config files
  * adding a new nginx-dev package including necessary headers and debhelper
    scripts to build and package a 3rd party module. (Closes: 985133)
  * d/p/0002-Make-sure-signature-stays-the-same-in-all-nginx-buil.patch
    removed, because feature already implemented with --with-compat configure
    option since 1.11.5

 -- Thomas Ward <teward@ubuntu.com>  Tue, 10 May 2022 12:08:02 -0400

nginx (1.20.2-2ubuntu2) kinetic; urgency=medium

  * d/http-lua: Remove another lua patch

 -- Bryce Harrington <bryce@canonical.com>  Fri, 15 Jul 2022 04:50:47 +0000

nginx (1.20.2-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/ubuntu-branding.patch: add Ubuntu branding
    - d/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - d/nginx-common.install: Add install rule for apport hooks.
    - d/p/nginx-fix-pidfile.patch: Fix NGINX PIDfile handling to avoid
      SystemD race condition - thanks to Tj for the patch.  (LP #1581864)
    - d/control: make nginx and nginx-full arch any, so that nginx-full
      is no longer pulled into main because of i386 (LP #1893267)
    - Remove the Lua modules from NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
      Changes made for this removal:
       + d/control:
         + Remove lua module from dependencies, and binary build item.
         + Add "Breaks" line for nginx-lua for older versions of NGINX.
           This is added to the nginx metapackage and nginx-extras.
       + d/rules: Remove Lua module from the build flags for -extras.
       + d/modules/{,patches/,watch/}nginx-lua: Remove Lua module, watch file,
         module patches.
       + d/modules/control: Remove Lua module from definitions
       + d/copyright: Remove lua module.
       + d/tests/{control,lua/}: Remove Lua test entirely, remove
         dependencies on any test which request
         libnginx-mod-http-lua as it's gone.
    - d/control: drop GeoIP from nginx-core due to demotion of libgeoip
      (LP #1861101, LP #1867150):
      + remove libnginx-mod-http-geoip from nginx-core dependency
      + have nginx-core depend on libnginx-mod-stream-geoip2
        instead of libnginx-mod-stream-geoip
      + adjust package descriptions accordingly
    - d/control: (GeoIP2 related changes)
      + Update dependencies for http-geoip2 package to include libmaxminddb0.
      + Update nginx-core to include http-geoip2 module due to approved bin-MIR
        (LP #1867198)
      + Move geoip2 module build flags to the common flags so all
        package flavors have it.
      + Update dependencies for nginx-light, etc. to include
        libnginx-mod-http-geoip2 as it's in the 'common build flags'
        for all flavors of the builds.
      + Update package description for nginx-core to indicate geoip2
        is included, and to list third party HTTP modules.  GeoIP2
        is not included for Stream by default, so we have to adjust
        this because the Stream part isn't MIR'd.
  * d/p/ubuntu-branding.patch: Refresh
  * Dropped:
    - DNS Resolver Off-by-One Heap Write
      + debian/patches/CVE-2021-23017.patch: fix logic in
        src/core/ngx_resolver.c.
      [Not needed: Replaced by upstream patches in separate commit]
    - DNS Resolver issues
      + debian/patches/CVE-2021-23017-1.patch: fixed off-by-one write in
        src/core/ngx_resolver.c.
      + debian/patches/CVE-2021-23017-2.patch: fixed off-by-one read in
        src/core/ngx_resolver.c.
      + debian/patches/CVE-2021-23017.patch: removed, replaced with upstream
        commits.
      [Included in upstream release 1.20.1]
    - ALPACA TLS issue
      + debian/patches/CVE-2021-3618.patch: specify the number of
        errors after which the connection is closed in
        src/mail/ngx_mail.h, src/mail/ngx_mail_core_module.c and
        src/mail/ngx_mail_handler.c.
      [Included in Debian release 1.20.2-2]

 -- Bryce Harrington <bryce@canonical.com>  Tue, 12 Jul 2022 10:23:53 -0700

nginx (1.20.2-2) unstable; urgency=medium

  [ Thomas Ward ]
  * d/patches/CVE-2021-3618.patch: Include upstream changeset from NGINX
    that adds mitigations into the Mail module for CVE-2021-3618.patch.
    (Closes: #991328)

  [ Jan Mojžíš ]
  * d/p/0003-define_gnu_source-on-other-glibc-based-platforms.patch update,
    fixes build on hurd-i386 platform

 -- Thomas Ward <teward@ubuntu.com>  Wed, 04 May 2022 16:04:59 -0400

nginx (1.20.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Uploaders for new maintainers.

  [ Thomas Ward ]
  * Update to latest upstream Stable version (1.20.2) (Closes: #1008855)
  * d/patches/Resolver-fixed-off-by-one-write-in-ngx_resolver
    _copy.patch: Drop CVE-2021-23017 patch, as this is fixed in 1.20.1
    and we are now using 1.20.2 which already contains the patch.
  * Refreshed d/patches/0002-Make-sure-signature-stays-the-same-
    in-all-nginx-buil.patch (fuzz thanks to 1.20.2)
  * d/conf/mime.types: Update mime.types to more match upstream mime.types
    and include upstream changes with mime.types from 1.21.x via nginx.org
    mercurial repository versions.
  * d/control: Remove self from Uploaders per other Debian devs, who want
    that commit to be done by someone on the current uploaders/maintainers
    group instead.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 19 Apr 2022 09:50:42 -0400

nginx (1.18.0-9) unstable; urgency=medium

  [ Jan Mojžíš ]
  * http-lua: Downgrade to 0.10.13 (Closes: #1008787).
  * http-lua: Backport upstream bugfix for segfault in nginx core >= 1.15.0
    when libnginx-mod-http-lua is loaded and init_worker_by_lua* is used.
  * d/control: Add mips64el,ppc64,kfreebsd-amd64 to list of luajit platforms.
  * d/control: fix Homepage nginx.net -> nginx.org (Closes: #976158)

  [ Thomas Ward ]
  * d/watch: Update watch syntax to match all even versions of NGINX releases
    rather than use a watch syntax that is static to one specific version.
    This will fix the untracked "New upstream stable versions" problem.
  * d/control: Update 'uploaders' as Thomas Ward is now a maintainer in
    the Salsa repository.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 05 Apr 2022 19:11:47 +0200

nginx (1.18.0-8) unstable; urgency=medium

  * Restore patch:
    d/p/Resolver-fixed-off-by-one-write-in-ngx_resolver_copy.patch

 -- Ondřej Nový <onovy@debian.org>  Tue, 15 Mar 2022 13:23:06 +0100

nginx (1.18.0-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/p/CVE-2019-20372.patch: Drop, applied upstream.
  * http-auth-pam: Upgrade to 1.5.3.
  * http-echo: Upgrade to 0.62.
  * nchan: Upgrade to 1.2.15.
  * http-fancyindex: Upgrade to 0.5.2.
  * rtmp: Upgrade to 1.2.2.
  * http-lua: Upgrade to 0.10.15 (Closes: #994178).
  * http-lua: Rebase patch.
  * nchan: Drop GCC 10 patch, applied upstream.
  * d/watch: Bump version to 4.
  * Bump standards version to 4.6.1 (no changes).
  * d/copyright: Bump my copyright year.

  [ Ondřej Surý ]
  * Add arm64 and ppc64el to list of luajit platforms.

  [ Athos Ribeiro ]
  * d/nginx-common.nginx.service: Fix service shutdown description to mention
    SIGQUIT instead of SIGSTOP (LP: #1919965).

 -- Ondřej Nový <onovy@debian.org>  Tue, 15 Mar 2022 11:50:18 +0100

nginx (1.18.0-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Resolver: fixed off-by-one write in ngx_resolver_copy() (CVE-2021-23017)
    (Closes: #989095)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 29 May 2021 16:21:37 +0200

nginx (1.18.0-6ubuntu14.1) jammy-security; urgency=medium

  * SECURITY UPDATE: ALPACA TLS issue
    - debian/patches/CVE-2021-3618.patch: specify the number of
      errors after which the connection is closed in
      src/mail/ngx_mail.h, src/mail/ngx_mail_core_module.c and
      src/mail/ngx_mail_handler.c.
    - CVE-2021-3618

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Wed, 27 Apr 2022 12:56:57 +0200

nginx (1.18.0-6ubuntu14) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:10:20 +0000

nginx (1.18.0-6ubuntu13) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:48:12 +0100

nginx (1.18.0-6ubuntu12) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 13:59:50 +0000

nginx (1.18.0-6ubuntu11) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:36 +0200

nginx (1.18.0-6ubuntu10) impish; urgency=medium

  * SECURITY UPDATE: DNS Resolver issues
    - debian/patches/CVE-2021-23017-1.patch: fixed off-by-one write in
      src/core/ngx_resolver.c.
    - debian/patches/CVE-2021-23017-2.patch: fixed off-by-one read in
      src/core/ngx_resolver.c.
    - debian/patches/CVE-2021-23017.patch: removed, replaced with upstream
      commits.
    - CVE-2021-23017

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 May 2021 06:59:42 -0400

nginx (1.18.0-6ubuntu9) impish; urgency=medium

  * SECURITY UPDATE: DNS Resolver Off-by-One Heap Write
    - debian/patches/CVE-2021-23017.patch: fix logic in
      src/core/ngx_resolver.c.
    - CVE-2021-23017

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 May 2021 13:06:54 -0400

nginx (1.18.0-6ubuntu8) hirsute; urgency=medium

  * d/modules/control: Remove Lua module from definitions
  * d/tests/:
    - control: Remove Lua test, remove dependencies on any test which
      request libnginx-mod-http-lua as it's gone.
    - lua: Remove the lua test entirely.

 -- Thomas Ward <teward@ubuntu.com>  Wed, 10 Mar 2021 10:50:43 -0500

nginx (1.18.0-6ubuntu7) hirsute; urgency=medium

  * d/control:
    - Fix dependencies issue for libnginx-mod-http-geoip2 - missing a
      character in the depends.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 09 Mar 2021 19:03:55 -0500

nginx (1.18.0-6ubuntu6) hirsute; urgency=medium

  * d/control:
    - Update dependencies for nginx-light, etc. to include 
      libnginx-mod-http-geoip2 as it's in the 'common build flags' for
      all flavors of the builds.
    - Update nginx-core package description to list third party HTTP
      modules.  GeoIP2 is not included for Stream by default, so we
      have to adjust this because the Stream part isn't MIR'd.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 09 Mar 2021 12:41:36 -0500

nginx (1.18.0-6ubuntu5) hirsute; urgency=medium

  * d/control: (GeoIP2 related changes)
    - Update dependencies for http-geoip2 package.
    - Update nginx-core to include http-geoip2 module due to approved bin-MIR
      (LP: #1867198)
    - Update description to nginx-core to indicate geoip2 is included.
  * d/control: move geoip2 module build flags to the common flags so all 
    package flavors have it.
  * d/modules/http-geoip2: Update to upstream version 3.3.
  * Remove the Lua modules from NGINX (Server Team Decision) - future support
    for Lua module now requires resty-core from OpenResty, meaning that if 
    we want to continue to support the Lua module, we have to start becoming
    OpenResty - users should just use OpenResty at this point for Lua.
    Changes made for this removal:
     - d/control:
       - Remove lua module from dependencies, and binary build item.
       - Add "Breaks" line for nginx-lua for older versions of NGINX.
         This is added to the nginx metapackage and nginx-extras.
     - d/copyright: Remove lua module.
     - d/modules/{,patches/,watch/}nginx-lua: Remove Lua module, watch file,
       module patches.
     - d/rules: Remove Lua module from the build flags for -extras.

 -- Thomas Ward <teward@ubuntu.com>  Mon, 08 Mar 2021 09:59:56 -0500

nginx (1.18.0-6ubuntu4) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 12:46:47 +0100

nginx (1.18.0-6ubuntu3) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 10:51:27 +0100

nginx (1.18.0-6ubuntu2) groovy; urgency=medium

  * d/control: make nginx and nginx-full arch any, so that nginx-full
    is no longer pulled into main because of i386 (LP: #1893267)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 27 Aug 2020 16:59:57 -0300

nginx (1.18.0-6ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/ubuntu-branding.patch: add Ubuntu branding
    - d/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - d/nginx-common.install: Add install rule for apport hooks.
    - d/p/nginx-fix-pidfile.patch: Fix NGINX PIDfile handling to avoid
      SystemD race condition - thanks to Tj for the patch.  (LP #1581864)
    - d/control: drop GeoIP from nginx-core due to demotion of libgeoip
      (LP #1861101, LP #1867150):
      + remove libnginx-mod-http-geoip from nginx-core dependency
      + have nginx-core depend on libnginx-mod-stream-geoip2
        instead of libnginx-mod-stream-geoip
      + adjust package descriptions accordingly

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 25 Aug 2020 11:11:41 -0300

nginx (1.18.0-6) unstable; urgency=medium

  * Fix GCC-10 compatibility (Closes: #957605).

 -- Ondřej Nový <onovy@debian.org>  Wed, 19 Aug 2020 15:27:02 +0200

nginx (1.18.0-5) unstable; urgency=medium

  * Prevented request smuggling in LUA
    CVE-2020-11724
    Closes: #964950

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Jul 2020 10:08:15 +0200

nginx (1.18.0-4) unstable; urgency=medium

  * Revert: libnginx-mod-* now depends on nginx-<any flavour> (Closes: #963860).
  * Update ngx_http_auth_pam_module upstream URL.
  * libnginx-mod-* recommends nginx now.
  * http-auth-pam: Upgrade to 1.5.2 (Closes: #963567).
  * d/copyright: Bump year of http-auth-pam.

 -- Ondřej Nový <onovy@debian.org>  Fri, 03 Jul 2020 09:34:49 +0200

nginx (1.18.0-3ubuntu2) groovy; urgency=medium

  * Re-apply demotion of geoip in favor of geoip2
    - Fixes some accidentally dropped delta from merge to fix
      unsatisfiable depends.  nginx-[core|full] need to depend on
      libnginx-mod-stream-geoip2, not on -geoip.
      (LP #1861101)

 -- Bryce Harrington <bryce@canonical.com>  Mon, 06 Jul 2020 15:12:26 -0700

nginx (1.18.0-3ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - d/nginx-common.install: Add install rule for apport hooks.
    - d/p/nginx-fix-pidfile.patch: Fix NGINX PIDfile handling to avoid
      SystemD race condition - thanks to Tj for the patch.  (LP #1581864)
    - Drop GeoIP from nginx-core due to demotion of libgeoip
      (LP #1861101, LP #1867150):
      + d/control: Remove libnginx-mod-http-geoip from nginx-core dependency
      + d/rules: Remove the configure line of with-http_geoip_module=dynamic
        from the nginx-core build flags, due to demotion of libgeoip and the
        removal of the dynamic library from install deps for nginx-core.
  * d/a/source_nginx.py: Fix indentation in apport hook
  * d/p/nginx-fix-pidfile.patch: Update dep3 with fwd debian link
  * Dropped:
    - debian/patches/0002-Make-sure-signature-stays-the-same-in-
      all-nginx-buil.patch:  Refreshed patch - Merge-o-Matic introduced some
      fuzz which caused issues.
      [ Does not seem necessary ]
    - d/control: drop mention of SSL Preread from nginx-full, nginx-extras
      [ Previously undocumented ]
    - d/gbp.conf: update for 1.12 release
      [ Previously undocumented ]
    - d/p/0003-define_gnu_source-on-other-glibc-based-platforms.patch:
      Refresh patch.
      [ Previously undocumented ]
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - Add GeoIP2 third party module to nginx-full and nginx-extras
      (LP #1825895). The following is the files list for this:
      + d/{control,rules}: Add libnginx-mod-http-geoip2 and corresponding
        build rules.
      + d/modules/http-geoip2{,/*}: Add geoip2 module from third party git.
      + d/copyright: Add relevant copyright lines for GeoIP2 module.
    - d/conf/sites-available/default: Update PHP path for PHP 7.4.
      [added in 1.17.9-0ubuntu3 taken by Debian in 1.18.0-2]
    - d/nginx-full.postinst: Add checks for whether
      port 80 is in use or not to determine whether or not to attempt
      starting of the NGINX service during install/upgrade.
    - d/control: Add dependency from nginx-full on `iproute2` as the
      postinst scripts now use `ss` to determine if Port 80 is open
      or not.
      [Taken by Debian in 1.18.0-2]
    - d/rules: Enable --with-compat build option for all nginx package
      flavors (LP #1797897)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 24 Jun 2020 23:15:11 +0000

nginx (1.18.0-3) unstable; urgency=medium

  * Source-only upload to allow migration.

 -- Ondřej Nový <onovy@debian.org>  Thu, 11 Jun 2020 15:14:59 +0200

nginx (1.18.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright:
    - Update for upstream release
    - Add Thomas Ward from Ubuntu for debian/*
  * d/conf/sites-available/default: Update PHP path for PHP 7.4
  * d/conf/nginx.conf:
    - Enable TLSv1.3
    - Remove tcp_nodelay on, which is same as default
    - Remove keepalive_timeout 65 and use default value 75s.
    - Remove trailing whitespaces
  * Introduce nginx-core and make it new default for "nginx"
  * Add stream-geoip and stream-geoip2 modules
  * d/ngx-conf: Convert to Python 3
  * d/control: Add GeoIP2 into description
  * Build dynamic modules only in extras flavour
  * libnginx-mod-* now depends on nginx-<any flavour>
  * Check if port 80 is free before starting during install

  [ Ondřej Surý ]
  * http-geoip2: Add ngx_http_geoip2_module 3.3

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 18:28:40 +0200

nginx (1.18.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream version 1.18.0
  * Add REMOTE_USER fastcgi param
  * Use debhelper-compat instead of debian/compat
  * Replace dh_systemd_enable with dh_installsystemd
  * Set Rules-Requires-Root: no
  * d/rules/dh_installinit: Replace --no-restart-on-upgrade with
    --no-stop-on-upgrade
  * Bump debhelper compat level to 13
  * Use package.maintscript instead of dpkg-maintscript-helper
  * Bump standards version to 4.5.0
  * d/watch: Change to 1.18.x
  * d/patches/CVE-2019-20372.patch: Rebase
  * Convert d/ngxmod to Python 3 (Closes: #953025)
  * nchan: Upgrade to 1.2.7
  * http-fancyindex: Upgrade to 0.4.4
  * d/copyright: Add myself for Debian part
  * Add myself as uploader

  [ Mohamed Akram ]
  * Enable --with-compat configure option (Closes: #897926)

 -- Ondřej Nový <onovy@debian.org>  Fri, 29 May 2020 19:03:30 +0200

nginx (1.17.10-0ubuntu1) focal; urgency=medium

  * New upstream release (1.17.9) - full changelog available from
    http://nginx.org/en/CHANGES
  * Remaining Ubuntu-specific changes:
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - debian/nginx-common.install: Add install rule for apport hooks.
    - d/nginx-{core,light,full,extras}.postinst: Add checks for whether
      port 80 is in use or not to determine whether or not to attempt
      starting of the NGINX service during install/upgrade
    - d/control: Add dependencies to nginx-{core,light,full,extras} on
      `iproute2` as the postinst scripts now use `ss` to determine if
      Port 80 is open or not.
    - d/rules: Enable --with-compat build option for all nginx package
      flavors
    - d/{control,rules,copyright,modules/http-geoip2*}: Add GeoIP2 third party
      module to nginx-full and nginx-extras (and use proper DEP5 syntax for
      d/copyright).
    - d/control, d/rules: Drop GeoIP from nginx-core due to demotion of 
      libgeoip.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 14 Apr 2020 12:53:34 -0400

nginx (1.17.9-0ubuntu3) focal; urgency=medium

  * d/conf/sites-available/default: Update PHP path for PHP 7.4.

 -- Thomas Ward <teward@ubuntu.com>  Thu, 26 Mar 2020 10:53:52 -0400

nginx (1.17.9-0ubuntu2) focal; urgency=medium

  * Drop GeoIP from nginx-core due to demotion of libgeoip (LP: #1861101,
    LP: #1867150):
    - d/control: Remove libnginx-mod-http-geoip from nginx-core dependency
    - d/rules: Remove the configure line of with-http_geoip_module=dynamic
      from the nginx-core build flags, due to demotion of libgeoip and the
      removal of the dynamic library from install deps for nginx-core. 

 -- Thomas Ward <teward@ubuntu.com>  Wed, 11 Mar 2020 13:41:07 -0400

nginx (1.17.9-0ubuntu1) focal; urgency=medium

  * New upstream release (1.17.9) - full changelog available from
    http://nginx.org/en/CHANGES
  * Remaining Ubuntu-specific changes:
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - debian/nginx-common.install: Add install rule for apport hooks.
    - d/nginx-{core,light,full,extras}.postinst: Add checks for whether
      port 80 is in use or not to determine whether or not to attempt
      starting of the NGINX service during install/upgrade
    - d/control: Add dependencies to nginx-{core,light,full,extras} on
      `iproute2` as the postinst scripts now use `ss` to determine if
      Port 80 is open or not.
    - d/rules: Enable --with-compat build option for all nginx package
      flavors
    - d/{control,rules,copyright,modules/http-geoip2*}: Add GeoIP2 third party
      module to nginx-full and nginx-extras (and use proper DEP5 syntax for
      d/copyright).

 -- Thomas Ward <teward@ubuntu.com>  Tue, 03 Mar 2020 11:05:45 -0500

nginx (1.17.8-0ubuntu3) focal; urgency=medium

  * d/conf/sites-available/default: Indentation consistency.
    Fix an indentation issue introduced by 1.17.8-0ubuntu2 to make sure that 
    indentation in the default config file is consistent.

 -- Thomas Ward <teward@ubuntu.com>  Wed, 26 Feb 2020 10:35:13 -0500

nginx (1.17.8-0ubuntu2) focal; urgency=medium

  * d/conf/sites-available/default: Revert changes done in #1743592.
    Reverts this change:
      - d/conf/sites-available/default: Update default nginx site
        configuration file to remove the IPv6 listening line so that servers
        running without IPv6 enabled at all on the system will start nginx 
        properly.

 -- Thomas Ward <teward@ubuntu.com>  Thu, 20 Feb 2020 13:52:32 -0500

nginx (1.17.8-0ubuntu1) focal; urgency=medium

  * New upstream release (1.17.8) - full changelog available from
    http://nginx.org/en/CHANGES
  * Remaining Ubuntu-specific changes:
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - debian/nginx-common.install: Add install rule for apport hooks.
    - d/nginx-{core,light,full,extras}.postinst: Add checks for whether
      port 80 is in use or not to determine whether or not to attempt
      starting of the NGINX service during install/upgrade
    - d/control: Add dependencies to nginx-{core,light,full,extras} on
      `iproute2` as the postinst scripts now use `ss` to determine if
      Port 80 is open or not.
    - d/rules: Enable --with-compat build option for all nginx package
      flavors
    - d/{control,rules,copyright,modules/http-geoip2*}: Add GeoIP2 third party
      module to nginx-full and nginx-extras (and use proper DEP5 syntax for
      d/copyright).
    - d/conf/sites-available/default: Update default nginx site configuration
      file to remove the IPv6 listening line so that servers running without
      IPv6 enabled at all on the system will start nginx properly.
      (LP: #1743592)

 -- Thomas Ward <teward@ubuntu.com>  Tue, 18 Feb 2020 19:01:02 -0500

nginx (1.17.7-0ubuntu1) focal; urgency=medium

  * New upstream release (1.17.7) - full changelog available from 
    http://nginx.org/en/CHANGES
  * Remaining Ubuntu-specific changes:
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - debian/nginx-common.install: Add install rule for apport hooks.
    - d/nginx-{core,light,full,extras}.postinst: Add checks for whether
      port 80 is in use or not to determine whether or not to attempt
      starting of the NGINX service during install/upgrade
    - d/control: Add dependencies to nginx-{core,light,full,extras} on
      `iproute2` as the postinst scripts now use `ss` to determine if
      Port 80 is open or not.
    - d/rules: Enable --with-compat build option for all nginx package
      flavors
    - d/{control,rules,copyright,modules/http-geoip2*}: Add GeoIP2 third party
      module to nginx-full and nginx-extras (and use proper DEP5 syntax for
      d/copyright).
    - d/conf/sites-available/default: Update default nginx site configuration
      file to remove the IPv6 listening line so that servers running without
      IPv6 enabled at all on the system will start nginx properly.
      (LP: #1743592)


 -- Thomas Ward <teward@ubuntu.com>  Mon, 30 Dec 2019 13:02:58 -0500

nginx (1.17.6-0ubuntu1) focal; urgency=medium

  * New upstream release (1.17.6) - full changelog available from
    http://nginx.org/en/CHANGES
  * Remaining Ubuntu-specific changes:
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - debian/nginx-common.install: Add install rule for apport hooks.
    - d/nginx-{core,light,full,extras}.postinst: Add checks for whether
      port 80 is in use or not to determine whether or not to attempt
      starting of the NGINX service during install/upgrade
    - d/control: Add dependencies to nginx-{core,light,full,extras} on
      `iproute2` as the postinst scripts now use `ss` to determine if
      Port 80 is open or not.
    - d/rules: Enable --with-compat build option for all nginx package
      flavors
    - d/{control,rules,copyright,modules/http-geoip2*}: Add GeoIP2 third party
      module to nginx-full and nginx-extras (and use proper DEP5 syntax for
      d/copyright).
    - d/conf/sites-available/default: Update default nginx site configuration
      file to remove the IPv6 listening line so that servers running without
      IPv6 enabled at all on the system will start nginx properly.
      (LP: #1743592)


 -- Thomas Ward <teward@ubuntu.com>  Tue, 19 Nov 2019 10:34:14 -0500

nginx (1.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (1.17.5) - full changelog available from 
    http://nginx.org/en/CHANGES
  * Remaining Ubuntu-specific changes:
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - debian/nginx-common.install: Add install rule for apport hooks.
    - d/nginx-{core,light,full,extras}.postinst: Add checks for whether
      port 80 is in use or not to determine whether or not to attempt
      starting of the NGINX service during install/upgrade
    - d/control: Add dependencies to nginx-{core,light,full,extras} on
      `iproute2` as the postinst scripts now use `ss` to determine if
      Port 80 is open or not.
    - d/rules: Enable --with-compat build option for all nginx package
      flavors
    - d/{control,rules,copyright,modules/http-geoip2*}: Add GeoIP2 third party
      module to nginx-full and nginx-extras (and use proper DEP5 syntax for
      d/copyright).
  * New Ubuntu-specific changes:
    - d/conf/sites-available/default: Update default nginx site configuration
      file to remove the IPv6 listening line so that servers running without 
      IPv6 enabled at all on the system will start nginx properly. 
      (LP: #1743592)

 -- Thomas Ward <teward@ubuntu.com>  Fri, 01 Nov 2019 11:55:10 -0400

nginx (1.16.1-3) unstable; urgency=high

  * Handle CVE-2019-20372, error page request smuggling
    (Closes: #948579)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Sat, 11 Jan 2020 09:36:00 +0200

nginx (1.16.1-2) unstable; urgency=medium

  * http-lua: Downgrade to 0.10.13 (Closes: #941917)
    Temporary fix FTBFS on architectures where Luajit is not available.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Sat, 12 Oct 2019 17:59:23 +0300

nginx (1.16.1-1) unstable; urgency=medium

  * New upstream version (Closes: #929200)
  * Follow stable 1.16 releases (Closes: #929199)
  * Drop already included debian patches
  * http-ndk: Upgrade to 0.3.1
  * http-lua: Upgrade to 0.10.15

 -- Christos Trochalakis <ctrochalakis@debian.org>  Mon, 09 Sep 2019 18:24:43 +0300

nginx (1.16.1-0ubuntu3) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:37:10 +0000

nginx (1.16.1-0ubuntu2) eoan; urgency=medium

  * d/conf/sites-available/default: Update PHP referred to in the 
    example in the default configuration to PHP 7.2.
    (LP: #1831748)

 -- Thomas Ward <teward@ubuntu.com>  Thu, 15 Aug 2019 12:01:39 -0400

nginx (1.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (1.16.1) - full changelog available from
    http://nginx.org/en/CHANGES-1.16
  * This patch contains security patches only.
  * Security content in this version:
    - When using HTTP/2 a client might cause excessive memory consumption 
      and CPU usage (CVE-2019-9511. CVE-2019-9513, CVE-2019-9516)

 -- Thomas Ward <teward@ubuntu.com>  Tue, 13 Aug 2019 13:08:03 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libnginx-mod-http-image-filter`.
